Package org.apache.tapestry5.internal

# Class AbstractEventContext

java.lang.Object
org.apache.tapestry5.internal.AbstractEventContext

All Implemented Interfaces:
  `EventContext`

Direct Known Subclasses:
  `ArrayEventContext`, `URLEventContext`

public abstract class AbstractEventContext extends Object implements EventContext

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractEventContext()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isEmpty()`
  Returns `true` if this context contains no elements.
  `String`
  `toString()`
  `String[]`
  `toStrings()`
  Extracts the value of each context value as a string.
  `<T> Optional<T>`
  `tryGet(Class<T> desiredType, int index)`
  Tries to extract a parameter value and coerces or decodes it to the desired type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.tapestry5.EventContext

  `get, getCount`

- ## Constructor Details

  - ### AbstractEventContext

    public AbstractEventContext()

- ## Method Details

  - ### toStrings

    public String[] toStrings()
    Description copied from interface: `EventContext`
    Extracts the value of each context value as a string.
    Specified by:
      `toStrings` in interface `EventContext`
    Returns:
      context values

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isEmpty

    public boolean isEmpty()
    Description copied from interface: `EventContext`
    Returns `true` if this context contains no elements.
    Specified by:
      `isEmpty` in interface `EventContext`

  - ### tryGet

    public <T> Optional<T> tryGet(Class<T> desiredType, int index)
    Description copied from interface: `EventContext`
    Tries to extract a parameter value and coerces or decodes it to the desired type.
    Specified by:
      `tryGet` in interface `EventContext`
    Parameters:
      `desiredType` - the type of value required
      `index` - identifies which parameter value to extract
    Returns:
      the value extracted and converted or coerced, wrapped in an Optional, or `Optional.empty()` if index is out of bounds, or the value can't be converted.